import { FaceContainer } from './FaceContainer'
import { BackgroundCircle } from './BackgroundCircle';
import { Eyes } from './Eyes';
import { Mouth } from './Mouth';
export const Face = ({ 
  width,
  height,
  strokeWidth,
  eyeRadius,
  eyeOffsetX,
  eyeOffsetY, 
  mouthRadius, 
  mouthWidth
}) => (

  <FaceContainer
    width={width}
    height={height}
    centerX={width/2}
    centerY={height/2}>

    	<BackgroundCircle radius={(height/2) - (strokeWidth /2)}
                        strokeWidth={strokeWidth}/>
        
      <Eyes 
        radius={eyeRadius}
        offsetX={eyeOffsetX}
        offsetY={eyeOffsetY}/>

			<Mouth
        radius={mouthRadius}
        width={mouthWidth}/>
        
	</FaceContainer>
  )